<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/top_bar_prj_print"
        android:layout_width="match_parent"
        android:layout_height="@dimen/head_height"
        android:fitsSystemWindows="true"
        app:qmui_topbar_text_btn_color_state_list="@color/theme_white_color"
        app:qmui_topbar_title_color="@color/theme_white_color" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/layout_edit_prj_order_number"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:orientation="horizontal"
        android:paddingTop="@dimen/dp_20"
        android:paddingBottom="@dimen/dp_20">

        <EditText
            android:id="@+id/ed_input_order_number"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/shape_login_edit_border"
            android:hint="請輸入訂單號"
            android:padding="@dimen/dp_10"
            android:maxLength="50"
            android:singleLine="true"
            app:layout_constraintTop_toTopOf="parent" />

        <ImageView
            android:id="@+id/iv_search_order_prj"
            android:layout_width="@dimen/dp_50"
            android:layout_height="0dp"
            android:padding="@dimen/dp_8"
            android:src="@drawable/ic_search"
            app:layout_constraintBottom_toBottomOf="@id/ed_input_order_number"
            app:layout_constraintRight_toRightOf="@id/ed_input_order_number"
            app:layout_constraintTop_toTopOf="@id/ed_input_order_number" />

        <View
            android:layout_width="@dimen/dp_0_5"
            android:layout_height="0dp"
            android:background="@color/color_aaa"
            app:layout_constraintBottom_toBottomOf="@id/iv_search_order_prj"
            app:layout_constraintRight_toLeftOf="@id/iv_search_order_prj"
            app:layout_constraintTop_toTopOf="@id/iv_search_order_prj" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <View
            android:layout_width="@dimen/dp_15"
            android:layout_height="@dimen/dp_15"
            android:background="@drawable/shape_oval_green" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:text="打印成功"
            android:textColor="@color/theme_333_color"
            android:textSize="@dimen/dp_12" />

        <View
            android:layout_width="@dimen/dp_15"
            android:layout_height="@dimen/dp_15"
            android:layout_marginLeft="@dimen/dp_15"
            android:background="@drawable/shape_oval_red_wine" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:text="打印失敗"
            android:textColor="@color/theme_333_color"
            android:textSize="@dimen/dp_12" />

        <View
            android:layout_width="@dimen/dp_15"
            android:layout_height="@dimen/dp_15"
            android:layout_marginLeft="@dimen/dp_15"
            android:background="@drawable/shape_oval_bright_orange" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dp_5"
            android:text="飛單失敗"
            android:textColor="@color/theme_333_color"
            android:textSize="@dimen/dp_12" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_prj_order_number"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginRight="@dimen/dp_10"
        android:orientation="horizontal"
        android:paddingTop="@dimen/dp_20"
        android:paddingBottom="@dimen/dp_20"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_prj_record_order_number_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="訂單號："
            android:textColor="@color/theme_333_color"
            android:textSize="@dimen/dp_18"
            android:textStyle="bold"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_prj_record_order_id"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/theme_333_color"
            android:textSize="@dimen/dp_18"
            app:layout_constraintLeft_toRightOf="@id/tv_prj_record_order_number_text"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="746932158462315" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:background="@color/theme_color"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            style="@style/PrjQueryTitleStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="0.2"
            android:text="食品組" />

        <include layout="@layout/include_vertical_color_white_dividing_line" />

        <TextView
            style="@style/PrjQueryTitleStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="0.2"
            android:text="食品名稱" />

        <include layout="@layout/include_vertical_color_white_dividing_line" />

        <TextView
            style="@style/PrjQueryTitleStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="0.26"
            android:text="打印/飛單位置" />

        <include layout="@layout/include_vertical_color_white_dividing_line" />

        <TextView
            style="@style/PrjQueryTitleStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="0.18"
            android:text="嘗試次數" />

        <include layout="@layout/include_vertical_color_white_dividing_line" />

        <TextView
            style="@style/PrjQueryTitleStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="0.16"
            android:text="操作" />
    </LinearLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rv_prj_record_list"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</LinearLayout>